"""
NeuronMemory: Advanced Memory Engine for LLMs and AI Agents

A cognitive memory engine that enables LLMs and autonomous agents to think, 
reflect, learn, and remember across sessions, tasks, and time.
"""

__version__ = "0.1.0"
__author__ = "NeuronMemory Team"
__email__ = "contact@neuronmemory.com"

from .core.memory_manager import MemoryManager
from .core.memory_store import MemoryStore
from .core.retrieval_engine import RetrievalEngine
from .memory.memory_objects import *
from .llm.azure_openai_client import AzureOpenAIClient
from .api.neuron_memory_api import NeuronMemoryAPI

__all__ = [
    "MemoryManager",
    "MemoryStore", 
    "RetrievalEngine",
    "AzureOpenAIClient",
    "NeuronMemoryAPI",
    "EpisodicMemory",
    "SemanticMemory",
    "ProceduralMemory",
    "SocialMemory",
    "WorkingMemory",
] 